

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.10. grn_encoding &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.25.11. grn_expr" href="grn_expr.html" />
    <link rel="prev" title="7.25.9. grn_db" href="grn_db.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/api/grn_encoding.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="grn_expr.html" title="7.25.11. grn_expr"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="grn_db.html" title="7.25.9. grn_db"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.10. </span><code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-encoding">
<h1><span class="section-number">7.25.10. </span><code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code><a class="headerlink" href="#grn-encoding" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.10.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.10.2. </span>例<a class="headerlink" href="#example" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.10.3. </span>リファレンス<a class="headerlink" href="#reference" title="このヘッドラインへのパーマリンク">¶</a></h2>
<dl class="c type">
<dt id="c.grn_encoding">
<em class="property">type </em><code class="sig-name descname">grn_encoding</code><a class="headerlink" href="#c.grn_encoding" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>TODO...</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_get_default_encoding">
<a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <code class="sig-name descname">grn_get_default_encoding</code><span class="sig-paren">(</span>void<span class="sig-paren">)</span><a class="headerlink" href="#c.grn_get_default_encoding" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>デフォルトのencodingを返します。</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_set_default_encoding">
grn_rc <code class="sig-name descname">grn_set_default_encoding</code><span class="sig-paren">(</span><a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <em>encoding</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_set_default_encoding" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>デフォルトのencodingを変更します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>encoding</strong> -- 変更後のデフォルトのencodingを指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_encoding_to_string">
<em class="property">const</em> char *<code class="sig-name descname">grn_encoding_to_string</code><span class="sig-paren">(</span><a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <em>encoding</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_encoding_to_string" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>エンコーディングの形式を文字列で返します。たとえば'grn_encoding_to_string(<code class="docutils literal notranslate"><span class="pre">GRN_ENC_UTF8</span></code>)' は&quot;utf8&quot;を返します。</p>
<p>無効なエンコーディングの場合は&quot;unknown&quot;を返します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>encoding</strong> -- その時点のエンコーディング。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_encoding_parse">
<a class="reference internal" href="#c.grn_encoding" title="grn_encoding">grn_encoding</a> <code class="sig-name descname">grn_encoding_parse</code><span class="sig-paren">(</span><em class="property">const</em> char *<em>name</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_encoding_parse" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>エンコーディング名をパースし、grn_encodingを返します。たとえば、'grn_encoding_parse(&quot;UTF8&quot;)' は'<code class="docutils literal notranslate"><span class="pre">GRN_ENC_UTF8</span></code>'を返します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_ENC_UTF8</span></code> は無効なエンコーディング名が与えた時に返されます。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> -- エンコーディング名。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.10. <code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.10.1. 概要</a></li>
<li><a class="reference internal" href="#example">7.25.10.2. 例</a></li>
<li><a class="reference internal" href="#reference">7.25.10.3. リファレンス</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="grn_db.html"
                        title="前の章へ"><span class="section-number">7.25.9. </span><code class="docutils literal notranslate"><span class="pre">grn_db</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="grn_expr.html"
                        title="次の章へ"><span class="section-number">7.25.11. </span>grn_expr</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="grn_expr.html" title="7.25.11. grn_expr"
             >次へ</a> |</li>
        <li class="right" >
          <a href="grn_db.html" title="7.25.9. grn_db"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.10. </span><code class="docutils literal notranslate"><span class="pre">grn_encoding</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>